none
新装了vs2010专业版,是net framwork4.0 ,怎么不重装就改为net framework3.5.1 RRS feed

全部回复

  • dotnetfx35.exe 下载后单击双击好像安装不上,是不是缺少windows install3.1?,dotnetfx35这个怎么装呢,windowsinstall3.1 用得着吗,给个链接,我是win10 32位的,谢谢
    2017年5月6日 17:30
  • Windows 8开始,在你运行.Net2/3/3.5的安装包,或者基于这些.Net版本的程序的时候就会提示需要去启用.Net 3.5这个系统特性了。如果你没看见这个启用对话框,那么你的Windows可能出了点问题,可以去answers.microsoft.com寻求帮助。



    Visual C++ MVP

    2017年5月6日 19:04
    版主
  • 蒋老师,我该怎末启用你说的这个,是在哪里启用,

    2017年5月7日 1:40
  • https://msdn.microsoft.com/zh-cn/library/hh506443%28v=vs.110%29.aspx?f=255&MSPPError=-2147217396


    Visual C++ MVP

    2017年5月7日 2:07
    版主
  • 我看看,有用吗

    2017年5月7日 2:24
  • 老师好,studio 2008应该不能引用0ffice excel2010,可是studio 2010专业版又是framework 4.0 不是3.5.1,只引用excel2013,我重装了studio2010 还是framework4.0,老师我该怎么办,

    2017年5月7日 11:45
  • 稍微晚一点的操作系统,.NET 3.5已经内置在操作系统中,

    Windows7 可以选择下载200多MB的安装包,之后的系统需要在控制面板,添加系统组件中,勾选.NET 3.5后进行安装。不能运行的独立的安装包。

    visual studio 2010是工具,它可以编译生成.NET 3.5或.NET 4.0的程序,你可以在项目属性中选择需要编译的.NET版本。


    专注于.NET ERP/CRM开发框架,C/S架构,SQL Server + ORM(LLBL Gen Pro) + Infragistics WinForms

    2017年5月8日 0:25
  • 为什么新建项目,选择net3.5也没用,而且在引用时选择com组件加载excel没有excel2010,只有2013,请说一下,我安装时也只看到专业版net2010,只有net4.0framework呀,net3.5是否是空白的?不会吧


    • 已编辑 z1c1 2017年5月8日 2:51
    2017年5月8日 2:13
  • 还未解决,请详细帮助,谢谢
    2017年5月8日 2:53
  • Hi z1c1,

    本论坛是讨论关于VB 语法,编译器,VB构架/运行时,包括语法关键字和自定义的命名空间。由于你的问题更多的涉及到Visual Studio。所以我将把它移到vs相关讨论,请参照以下链接:https://social.msdn.microsoft.com/Forums/zh-CN/home?forum=vstudiozhchs

    感谢您的参与和支持。

    Best Regards,

    Cherry Bu



    MSDN Community Support
    Please remember to click "Mark as Answer" the responses that resolved your issue, and to click "Unmark as Answer" if not. This can be beneficial to other community members reading this thread. If you have any compliments or complaints to MSDN Support, feel free to contact MSDNFSF@microsoft.com.

    2017年5月8日 2:59
  • 我在控制面板勾选net3.5,去不掉4.6,就算只勾选3.5,还是加载不了office excel2010工程,怎么办
    2017年5月8日 3:02
  • 请具体描述一下你问题的始末,你用visual studio创建了什么项目,在项目中你想实现什么?遇到了什么问题?

    >>可是studio 2010专业版又是framework 4.0 不是3.5.1

    你说的visualstudio 2010 framework 4.0 是什么意思?

    正如Shuanghua Li 所说, visual studio 只是一个工具,你可以选择用这个工具 来用.net framework 编写应用程序。

    .net framework 很多都会随着操作系统的安装而安装,.net framework 3.5更是包含在很多操作系统中,请看这个:https://msdn.microsoft.com/zh-cn/library/bb822049(v=vs.110).aspx


    Please remember to click "Mark as Answer" the responses that resolved your issue, and to click "Unmark as Answer" if not. This can be beneficial to other community members reading this thread. If you have any compliments or complaints to MSDN Support, feel free to contact MSDNFSF@microsoft.com.

    2017年5月8日 9:49
  • 是framework4.6的,说错了4.0,但是只有com的excel14.0 不见低版本的12.0,11.0呀,所以如下dim excelapp as new excel.application  会提示excel.application 是未定义的

    2017年5月8日 11:14
  • excel的版本号只和你的office版本有关。你没装低版本的excel的话,不会有12.0和11.0。

    至于用小写的excel来做类型名字,出错是正常的。



    Visual C++ MVP

    2017年5月8日 16:15
    版主
  • 蒋老师我已经安装excel2010了呀,版本号他是多少?这里我输入了小写的类型名,但代码里是拷贝的别人的大写类型名,没错的,但提示未定义类型,这个专业版vs2010好像只有framework4.6安装,但是否需要的是framework3.5,所以两个问题:一个事语句提示类型为定义,二是framework没有3.5只有4.6,三是com里只有excel14.0,怎么解决

    2017年5月8日 23:23
  • 用COM对象之前需要引用对应的类型库。类型库通常有自己的名称空间,没有Import的话,类型库的类型不能像你这样用简写。

    你应该选择支持一个Excel版本,之后安装引用对应版本的Excel,再引用其类型库。高版本的Excel支持低版本的Excel的类型库,但是反之不然。



    Visual C++ MVP

    2017年5月9日 0:20
    版主
  • 用COM对象之前需要引用对应的类型库。类型库通常有自己的名称空间,没有Import的话,类型库的类型不能像你这样用简写。老师这里是说什么呢,代码里import 吗,我这里要选择引用那个类型库???说一下,谢谢

    你应该选择支持一个Excel版本,之后安装引用对应版本的Excel,再引用其类型库。高版本的Excel支持低版本的Excel的类型库,但是反之不然。我是先装了office2010,又后装vs2010,对不对??


    2017年5月9日 5:23
  • 新建一个项目,com里添加excel,只有14.0,我想引用excel2010的,找不到怎么办,另外我的图片怎末不许可上传出来,怎么上传呀

    2017年5月10日 0:09
  • 我取消了在本页允许更多内容,怎莫恢复本页允许更多内容这个设置呢
    2017年5月10日 0:16
  • 本机需要安装excel 2010,其次与项目的.NET Framework版本有关,调整下项目的编译目标版本(.NET Framework)

    专注于.NET ERP/CRM开发框架,C/S架构,SQL Server + ORM(LLBL Gen Pro) + Infragistics WinForms

    2017年5月10日 0:40
  • 我的截图上传不了呀,怎么上传

    2017年5月10日 5:27
  • @z1c1,

    我们帮助你解决问题的前提是你得描述清楚问题所在,关于这个论坛,主要是解决Visual Studio 安装卸载以及IDE环境使用的问题,从以上你的回复看,问题偏向于开发,请告诉我们你使用的语言以及项目类型,随后我们会帮你把这个帖子移到更加合适的论坛去得到更加专业的解答。

    感谢您的理解和配合。


    MSDN Community Support
    Please remember to click "Mark as Answer" the responses that resolved your issue, and to click "Unmark as Answer" if not. This can be beneficial to other community members reading this thread. If you have any compliments or complaints to MSDN Support, feel free to contact MSDNFSF@microsoft.com.


    2017年5月10日 9:04
    版主
  • 问问什么会员可以在帖子里上传图片,我怎么上传
    2017年5月11日 5:47
  • u can switch .Net to 4.0 if u want
    2017年5月11日 5:50
  • 到这个论坛来验证你的账号:

    https://social.msdn.microsoft.com/Forums/en-US/054fddac-7164-4412-a077-f57ba5dd9e5d/verify-your-account-38?forum=reportabug


    Please remember to click "Mark as Answer" the responses that resolved your issue, and to click "Unmark as Answer" if not. This can be beneficial to other community members reading this thread. If you have any compliments or complaints to MSDN Support, feel free to contact MSDNFSF@microsoft.com.

    2017年5月11日 5:55